package cn.com.qmth.stmms.ms.core.domain;

import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 科目
 * Created by zhengmin on 2016/9/21.
 */
@Entity
public class MarkSubject implements Serializable{

    private static final long serialVersionUID = -7205062745569303448L;

    /**
     * workId + "-" + subject
     */
    @Id
    private String id;

    private String name;

    private Long workId;

    private int totalScore = 100;

    private String collectConfig;

    @Enumerated(value = EnumType.ORDINAL)
    private MarkStage stage;

    public MarkSubject(Subject subject,Long workId) {
        this.id = workId + "-" + subject;
        this.name = subject.getName();
        this.stage = MarkStage.INIT;
    }

    public MarkSubject() {
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(int totalScore) {
        this.totalScore = totalScore;
    }

    public MarkStage getStage() {
        return stage;
    }

    public void setStage(MarkStage stage) {
        this.stage = stage;
    }

    public Long getWorkId(){
        return Long.parseLong(this.getId().split("-")[0]);
    }

    public Subject getSubject(){
        return Subject.valueOf(this.getId().split("-")[1]);
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getCollectConfig() {
        return collectConfig;
    }

    public void setCollectConfig(String collectConfig) {
        this.collectConfig = collectConfig;
    }
}
